Skip to main content
GET
cURL

Authorizations

X-CEKURA-API-KEY
string
header
required

API Key Authentication. It should be included in the header of each request.

Path Parameters

id
integer
required

A unique integer value identifying this agent improvement session.

Response

200 - application/json

Read view of an Improve-Agent session — what the frontend polls to track progress. provider_key and other secrets are never serialized.

id
integer
read-only
project
integer
read-only
agent
integer | null
read-only
provider
string
read-only
insights
any
call_log_ids
any
status
enum<string>
read-only
  • pending - Pending
  • running - Running
  • succeeded - Succeeded
  • failed - Failed
Available options:
pending,
running,
succeeded,
failed
conversation_id
string<uuid> | null
read-only
message_id
string<uuid> | null
read-only
error_message
string
read-only
created_at
string<date-time>
read-only
updated_at
string<date-time>
read-only